Subject: RE: missing issue - implemented route selections not necessarily consistant with draft

From: "Natale, Jonathan" <[email-masked]>
Date: Thu, 24 Oct 2002 16:36:12 -0400

makes sense
did you verify this?
so the steps on the web are wrong
 
does bgp bestpath router-id effect this?

-----Original Message-----
From: vrishab sikand [mailto:[email-masked]] 
Sent: Thursday, October 24, 2002 2:45 PM
To: Yakov Rekhter; Venu Kumar G - CTD, Chennai.
Cc: vrishab sikand; Jeffrey Haas; [email-masked]
Subject: Re: missing issue - implemented route selections not necessarily
consistant with draft 

If you don't implement the RR spec, then *by definition* you can't
recognize CLUSTER_LIST attribute (as this attribute is defined
in the RR spec). And if you can't recognize the attribute, then you
can't take it into account for your route selection. 

In other words, you either implement the RR spec (and in this case
you also implement the route selection procedures specific to the
RR spec), or you don't (and in this case you can't take into account
various attributes defined in the RR spec).

Yakov. 

I agree. Thanks for the explanation. 

It seems that every implementation must atleast be able to decode ORIGINATOR
ID and CLUSTER LIST attributes, even if they dont support rest of RR
features. If they dont do so, then they cannot be deployed in a network
which has route reflectors. 

 Yakov Rekhter <[email-masked]> wrote: 

Venu,

> Hi,
> It is quiet possible that, we may receive multiple routes for
> same destination with varying CLUSTER list length's, even though we are
not
> enabled ( or Implemented) RR features on a router. So i feel we can add
> this in base spec with indication as optional to implement. 

If you don't implement the RR spec, then *by definition* you can't
recognize CLUSTER_LIST attribute (as this attribute is defined
in the RR spec). And if you can't recognize the attribute, then you
can't take it into account for your route selection. 

In other words, you either implement the RR spec (and in this case
you also implement the route selection procedures specific to the
RR spec), or you don't (and in this case you can't take into account
various attributes defined in the RR spec).

Yakov.

> This is cisco's best path selection algorithm
> 
> http://www.cisco.com/warp/public/459/25.shtml
> 
> 
> Venu 
> 
> 
> 
> -----Original Message-----
> From: vrishab sikand [mailto:[email-masked]]
> Sent: Thursday, October 24, 2002 9:16 PM
> To: Yakov Rekhter; Jeffrey Haas
> Cc: [email-masked]
> Subject: Re: missing issue - implemented route selections not necessarily
> consistant with draft 
> 
> 
> 
> The original thought expressed in the route reflector RFC was that: those
> routers which are not configured as route reflectors do not need to have
> "any" knowledge route reflector attributes. This i think was done to ease
> the migration to RR's. 
> 
> 
> I understand that for the major vendors, even if you are not configured as
> a RR, they perform these additional steps. So I believe these belong in
the
> main bgp specification. 
> 
> 
> 
> Yakov Rekhter wrote: 
> 
> 
> Jeff,
> 
> > Reviewing my inbox, I think we dropped an issue - or I've misplaced
> > the resolution of it.
> > 
> > Our route selection tie-breaking process in -17 doesn't match at
> > least two of the $LARGE_ROUTER_VENDORs.
> > 
> > Noted differences are (per vrishab sikand):
> > 1) originator ID (to be substituited for router id, when present
> > in path attribute)
> > 2) cluster list length
> > 3) peer id (configured ip address of peer in the neighbor command) 
> 
> These are all have to do with route selection in the presence
> of Route Reflectors. So, these issues have to be covered in the
> Route Reflector spec (the Route Reflector spec has to have a section
> on how Route Reflectors impact BGP Route Selection process).
> 
> Yakov.
> 
> 
> 
> 
> _____ 
> 
> Do you Yahoo!?
> Y! Web Hosting - Let the expert host your
> web site
> 
> 
> ------_=_NextPart_001_01C27B77.329D9CF0
> Content-Type: text/html;
> charset="iso-8859-1"
> 
> 
> 
> 
> 
> 
> 

> class=985534615-24102002>Hi,

> class=985534615-24102002>        &nbs
p;   It 
> is quiet possible that, we may receive multiple routes for same
destination 
> with  varying CLUSTER list length's, even though we are not 
> enabled  ( or Implemented)   RR features on a router.  So

> i feel we can add this in base spec with indication as  

> optional to implement. 

> class=985534615-24102002> 

Thi
s 
> is cisco's best path selection algorithm

> class=985534615-24102002> 

> class=985534615-24102002>         
>
href="http://www.cisco.com/warp/public/459/25.shtml">http://www.cisco.com/wa
r
p/public/459/25.shtml

> class=985534615-24102002> 

Ven
u 

> class=985534615-24102002> 

> class=985534615-24102002> 

> class=985534615-24102002> 

> class=985534615-24102002>-----Original

> Message-----
From: vrishab sikand 
> [mailto:[email-masked]]
Sent: Thursday, October 24, 2002 9:16 
> PM
To: Yakov Rekhter; Jeffrey Haas
Cc: 
> [email-masked]
Subject: Re: missing issue - implemented route 
> selections not necessarily consistant with draft 

The original thought expressed in the route reflector RFC was that: thos
e 
> routers which are not configured as route reflectors do not need to have
"a
ny" 
> knowledge route reflector attributes. This i think was done to ease the 
> migration to RR's. 
> 

I understand that  for the major vendors, even if you are not 
> configured as a RR, they perform these additional steps. So I believe
these

> belong in the main bgp specification. 
> 

 Yakov Rekhter <[email-masked]> wrote: 

> style="BORDER-LEFT: #1010ff 2px solid; MARGIN-LEFT: 5px; PADDING-LEFT:
5px"
>Jeff,

> 
> Reviewing my inbox, I think we dropped an issue - or I've misplaced
&g
t; 
> the resolution of it.
> 
> Our route selection tie-breaking 
> process in -17 doesn't match at
> least two of the 
> $LARGE_ROUTER_VENDORs.
> 
> Noted differences are (per vrisha
b 
> sikand):
> 1) originator ID (to be substituited for router id, when

> present
> in path attribute)
> 2) cluster list length
3) 
> peer id (configured ip address of peer in the neighbor command) 
> 

These are all have to do with route selection in the presence

of 
> Route Reflectors. So, these issues have to be covered in the
Route 
> Reflector spec (the Route Reflector spec has to have a section
on how 
> Route Reflectors impact BGP Route Selection 
> process).

Yakov.

  _____  

> Do you Yahoo!?
Y! Web  <http://webhosting.yahoo.com/> Hosting
> - 
> Let the expert host your web site

> 
> ------_=_NextPart_001_01C27B77.329D9CF0--

  _____  

Do you Yahoo!?
Y! Web Hosting <http://webhosting.yahoo.com/>  - Let the expert host your
web site